Bullet Collision Detection & Physics Library: btDeformableNodeAnchorConstraint Class Reference

Bullet Collision Detection & Physics Library

Public Member Functions | Public Attributes | List of all members
btDeformableNodeAnchorConstraint Class Reference

`#include <btDeformableContactConstraint.h>`

Inheritance diagram for btDeformableNodeAnchorConstraint:
[legend]
Collaboration diagram for btDeformableNodeAnchorConstraint:
[legend]

## Public Member Functions
| btDeformableNodeAnchorConstraint (const btSoftBody::DeformableNodeRigidAnchor &c, const btContactSolverInfo &infoGlobal)
| btDeformableNodeAnchorConstraint (const btDeformableNodeAnchorConstraint &other)
| btDeformableNodeAnchorConstraint ()
virtual | ~btDeformableNodeAnchorConstraint ()
virtual btScalar | solveConstraint (const btContactSolverInfo &infoGlobal)
virtual btVector3 | getVa () const
virtual btVector3 | getVb () const
virtual btVector3 | getDv (const btSoftBody::Node *n) const
virtual void | applyImpulse (const btVector3 &impulse)
virtual void | setPenetrationScale (btScalar scale)
Public Member Functions inherited from btDeformableContactConstraint
| btDeformableContactConstraint (const btVector3 &normal, const btContactSolverInfo &infoGlobal)
| btDeformableContactConstraint (bool isStatic, const btVector3 &normal, const btContactSolverInfo &infoGlobal)
| btDeformableContactConstraint ()
| btDeformableContactConstraint (const btDeformableContactConstraint &other)
virtual | ~btDeformableContactConstraint ()
virtual btScalar | solveConstraint (const btContactSolverInfo &infoGlobal)=0
virtual btVector3 | getVa () const =0
virtual btVector3 | getVb () const =0
virtual btVector3 | getDv (const btSoftBody::Node *) const =0
virtual void | applyImpulse (const btVector3 &impulse)=0
virtual void | setPenetrationScale (btScalar scale)=0

## Public Attributes
const btSoftBody::DeformableNodeRigidAnchor * | m_anchor
Public Attributes inherited from btDeformableContactConstraint
bool | m_static
const btContactSolverInfo * | m_infoGlobal
btVector3 | m_normal

## Detailed Description

Definition at line 113 of file btDeformableContactConstraint.h.

## Constructor & Destructor Documentation

## ◆ btDeformableNodeAnchorConstraint() [1/3]

btDeformableNodeAnchorConstraint::btDeformableNodeAnchorConstraint | ( | const btSoftBody::DeformableNodeRigidAnchor & | c,
|  | const btContactSolverInfo & | infoGlobal
| ) |  |

Definition at line 18 of file btDeformableContactConstraint.cpp.

## ◆ btDeformableNodeAnchorConstraint() [2/3]

btDeformableNodeAnchorConstraint::btDeformableNodeAnchorConstraint | ( | const btDeformableNodeAnchorConstraint & | other | ) |

Definition at line 23 of file btDeformableContactConstraint.cpp.

## ◆ btDeformableNodeAnchorConstraint() [3/3]

btDeformableNodeAnchorConstraint::btDeformableNodeAnchorConstraint | ( |  | ) |
| inline

Definition at line 120 of file btDeformableContactConstraint.h.

## ◆ ~btDeformableNodeAnchorConstraint()

virtual btDeformableNodeAnchorConstraint::~btDeformableNodeAnchorConstraint | ( |  | ) |
| inlinevirtual

Definition at line 121 of file btDeformableContactConstraint.h.

## Member Function Documentation

## ◆ applyImpulse()

void btDeformableNodeAnchorConstraint::applyImpulse | ( | const btVector3 & | impulse | ) |
| virtual

Implements btDeformableContactConstraint.

Definition at line 128 of file btDeformableContactConstraint.cpp.

## ◆ getDv()

virtual btVector3 btDeformableNodeAnchorConstraint::getDv | ( | const btSoftBody::Node * | n | ) | const
| inlinevirtual

Implements btDeformableContactConstraint.

Definition at line 130 of file btDeformableContactConstraint.h.

## ◆ getVa()

btVector3 btDeformableNodeAnchorConstraint::getVa | ( |  | ) | const
| virtual

Implements btDeformableContactConstraint.

Definition at line 28 of file btDeformableContactConstraint.cpp.

## ◆ getVb()

btVector3 btDeformableNodeAnchorConstraint::getVb | ( |  | ) | const
| virtual

Implements btDeformableContactConstraint.

Definition at line 123 of file btDeformableContactConstraint.cpp.

## ◆ setPenetrationScale()

virtual void btDeformableNodeAnchorConstraint::setPenetrationScale | ( | btScalar | scale | ) |
| inlinevirtual

Implements btDeformableContactConstraint.

Definition at line 136 of file btDeformableContactConstraint.h.

## ◆ solveConstraint()

btScalar btDeformableNodeAnchorConstraint::solveConstraint | ( | const btContactSolverInfo & | infoGlobal | ) |
| virtual

Implements btDeformableContactConstraint.

Definition at line 80 of file btDeformableContactConstraint.cpp.

## Member Data Documentation

## ◆ m_anchor

const btSoftBody::DeformableNodeRigidAnchor* btDeformableNodeAnchorConstraint::m_anchor

Definition at line 116 of file btDeformableContactConstraint.h.

The documentation for this class was generated from the following files:

- btDeformableContactConstraint.h
- btDeformableContactConstraint.cpp